
Name:          portals-pom
Version:       1.3
Release:       5%{?dist}
Summary:       Apache Portals parent pom
Group:         Development/Libraries
License:       ASL 2.0
Url:           http://portals.apache.org/
# svn export http://svn.apache.org/repos/asf/portals/portals-pom/tags/portals-pom-1.3
# tar czf portals-pom-1.3-src-svn.tar.gz portals-pom-1.3
Source0:       portals-pom-1.3-src-svn.tar.gz
# remove org.codehaus.mojo ianal-maven-plugin
Patch0:        portals-pom-1.3-pom.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven-local
BuildRequires: maven-install-plugin

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Apache Portals is a collaborative software development project
dedicated to providing robust, full-featured, commercial-quality,
and freely available Portal related software on a wide variety of
platforms and programming languages. This project is managed in
cooperation with various individuals worldwide (both independent and
company-affiliated experts), who use the Internet to communicate, plan,
and develop Portal software and related documentation.

%prep
%setup -q -n portals-pom-%{version}
%patch0 -p0

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%build

mvn-rpmbuild install

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE NOTICE

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.3-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 31 2012 gil cattaneo <puntogil@libero.it> 1.3-2
- Remove empty javadoc package

* Sat May 19 2012 gil cattaneo <puntogil@libero.it> 1.3-1
- initial rpm

